%global pypi_name ratelim


Name:           python-%{pypi_name}
Version:        0.1.6
Release:        1%{?dist}
Summary:        Respect rate limits in Python
License:        MIT
URL:            https://github.com/themiurgo/ratelim
Source:         %{pypi_source %{pypi_name} %{version}}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Ratelim is a simple Python library that limits the number of times a function
can be called during a time interval.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%generate_buildrequires
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc HISTORY.rst
%doc README.rst


%changelog
* Fri Mar 17 2023 David Ward <david.ward@ll.mit.edu> - 0.8.0-1
- Initial package.
